<?php
// +----------------------------------------------------------------------+
// | PHP version 4                                                        |
// +----------------------------------------------------------------------+
// | Copyright (c) 1997-2005 Snapshot Inc.                                |
// +----------------------------------------------------------------------+
// | License                                                              |
// | GNU General Public License                                           |
// +----------------------------------------------------------------------+
// | Authors: Mai Kawasaki                                                |
// +----------------------------------------------------------------------+
//
// $Id: StartView_success.class.php,v 1.1 2005/06/20 09:31:25 snapshot Exp $
//
// Description:
// 2005/05/18
//

/** 
*	StartView.class.php
*	Mai Kawasaki
*	2005/05/18
*/

/** 
*	StartView
*/
class StartView extends View {

    function & execute (&$controller, &$request, &$user) {

        $renderer =& new Renderer($controller, $request, $user);
		
        $renderer->setAttribute('exam', $request->getAttribute('exam'));
        $renderer->setAttribute('subject', $request->getAttribute('subject'));
        $renderer->setAttribute('count', $request->getAttribute('count'));
        $renderer->setAttribute('points', $request->getAttribute('points'));
        $renderer->setAttribute('reply_flug', $request->getAttribute('reply_flug'));
        $renderer->setAttribute('exams_student', $request->getAttribute('exams_student'));
        $renderer->setAttribute('type', $request->getAttribute('type'));
        $renderer->setAttribute('admin', $request->getAttribute('admin'));
		
		if( $request->getAttribute('type') == 'mobile'){
	        $renderer->setTemplate('Start_success.php');
		} else {
        	$renderer->setTemplate('Start_success_pc.php');
		}

        return $renderer;

    }

}

?>